---
title: RTCPeerConnection.removeStream()
slug: Web/API/RTCPeerConnection/removeStream
tags:
  - Deprecated
  - Experimental
  - Media
  - Method
  - RTCPeerConnection
  - Reference
  - WebRTC
  - removeStream
---
<div>{{APIRef("WebRTC")}}{{deprecated_header}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <code><strong>RTCPeerConnection.removeStream()</strong></code> method removes a {{domxref("MediaStream")}} as a local source of audio or video. If the negotiation already happened, a new one will be needed for the remote peer to be able to use it. Because this method has been deprecated, you should instead use {{domxref("RTCPeerConnection.removeTrack", "removeTrack()")}} if your target browser versions have implemented it.</span></p>

<p>If the {{domxref("RTCPeerConnection.signalingState", "signalingState")}} is set to <code>"closed"</code>, an <code>InvalidStateError</code> is raised. If the {{domxref("RTCPeerConnection.signalingState", "signalingState")}} is set to <code>"stable"</code>, the event {{event("negotiationneeded")}} is sent on the {{domxref("RTCPeerConnection")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><em>RTCPeerConnection</em>.removeStream(<em>mediaStream</em>);
</code></pre>

<h3 id="Example">Parameters</h3>

<dl>
 <dt><code>mediaStream</code></dt>
 <dd>A {{domxref("MediaStream")}} specifying the stream to remove from the connection.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc, videoStream;
navigator.getUserMedia({video: true}, function(stream) {
  pc = new RTCPeerConnection();
  videoStream = stream;
  pc.addStream(stream);
}
document.getElementById("closeButton").addEventListener("click", function(event) {
  pc.removeStream(videoStream);
  pc.close();
}, false);</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.removeStream")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>{{domxref("RTCPeerConnection.removeTrack()")}}</li>
 <li>{{domxref("RTCPeerConnection.addTrack()")}}</li>
 <li>{{domxref("RTCPeerConnection.addStream()")}}</li>
</ul>
